Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043738
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2020-04-15 10:482020-05-08 12:40
ReporteregoitzView Statuspublic 
Assigned Toinigo_lerga 
PriorityurgentResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revisiona6ee2cf16b1c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043738: Offers report can product a system crash due to OufOfMemory

DescriptionExecuting the offers report on an environment with thousands of partners and hundreds of offers that applied to all the partners comsumes a lot of memory and end on an OutOfMemory error.
Steps To ReproduceON an environment with thousands of partners (26k) and many offers (100) that applies to all the partners. Defined as exclude partners selected and no one selected, execute the report for a date period that includes most of the offers.

-- The report is not shown and and OutOfMemory happens.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0119548)
inigo_lerga (developer)
2020-05-05 10:13

--Test Plan Mantis--
As The White Valley Group Admin role:
  - Go to the Offers Report window. Fill the desired fields and press the
    HTML Format button.

    #In this moment the modified code is executed. In case of having more
    records than the amount the report is set to display, the warning message
    will show up#
(0119692)
dmiguelez (developer)
2020-05-08 12:38

Test Plan

With Retail modules installed, log in as The White Valley Group Admin role:
Go to Offers Report window and filter by:
  * From Date: 10-05-2016
  * To Date: Today
Click on the button and check that results are shown.

Log in as System Administrator
Go to Preference Window and filter by the Attribute 'ReportsLimit'
Change the value to 10

Log in as The White Valley Group Admin role:
Go to Offers Report window and filter by:
  * From Date: 10-05-2016
  * To Date: Today
Click on the button and check that no results are shown and there is a warning message: 'The filtering criteria you have specified for this report return a number of rows that exceeds the maximum allowed. The limit of rows to display in a report is 101. Please, use more selective filtering criteria and execute the report again.'
(0119693)
hgbot (developer)
2020-05-08 12:39

Repository: erp/devel/pi
Changeset: a6ee2cf16b1c7465c13d3d69a8a20b5d42c21241
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Tue May 05 10:37:06 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a6ee2cf16b1c7465c13d3d69a8a20b5d42c21241 [^]

fixes BUG-43738:Warning added when report exceeds limit of records

---
M src/org/openbravo/erpCommon/ad_reports/ReportOffer.java
M src/org/openbravo/erpCommon/ad_reports/ReportOffer_data.xsql
---
(0119694)
dmiguelez (developer)
2020-05-08 12:40

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-04-15 10:48 egoitz New Issue
2020-04-15 10:48 egoitz Assigned To => Triage Finance
2020-04-15 10:48 egoitz Modules => Core
2020-04-15 10:48 egoitz Triggers an Emergency Pack => No
2020-04-15 10:51 Practics Issue Monitored: Practics
2020-05-04 08:50 inigo_lerga Assigned To Triage Finance => inigo_lerga
2020-05-04 08:50 inigo_lerga Status new => scheduled
2020-05-05 10:13 inigo_lerga Note Added: 0119548
2020-05-08 12:38 dmiguelez Note Added: 0119692
2020-05-08 12:39 hgbot Checkin
2020-05-08 12:39 hgbot Note Added: 0119693
2020-05-08 12:39 hgbot Status scheduled => resolved
2020-05-08 12:39 hgbot Resolution open => fixed
2020-05-08 12:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a6ee2cf16b1c7465c13d3d69a8a20b5d42c21241 [^]
2020-05-08 12:40 dmiguelez Review Assigned To => dmiguelez
2020-05-08 12:40 dmiguelez Note Added: 0119694
2020-05-08 12:40 dmiguelez Status resolved => closed
2020-05-08 12:40 dmiguelez Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker